#ifndef __Global_h__
#define __Global_h__

#include "MString.h"
#include <map>

namespace  jet {

   class __mysql;
   
   class Global {

    public:
      Global();
      virtual ~Global();

      void dump();
      bool sessionExists(coreutils::MString sessionId);
      void addSession(coreutils::MString sessionId, __mysql *mysql);
      void removeSession(coreutils::MString sessionId);
      coreutils::ZString getVariable(coreutils::ZString &variable);
      coreutils::MString renderVariableName(coreutils::MString &name, coreutils::ZString &variable);
      __mysql * getSession(coreutils::MString sessionId);
      coreutils::ZString getSessionVariable(coreutils::MString &splitName);
      
      std::map<coreutils::MString, coreutils::MString> variables;
      std::map<coreutils::MString, __mysql *> sessions;

      
   };

}

#endif
